# RPM specfile for sawfish-themes module
# Generated Mon May  6 02:02:59 2002 GMT by Ximian build system
# $Id: bb_do,v 1.183 2002/04/19 17:44:22 thunder Exp $
# from $Id: ximian-build.conf,v 1.15 2002/03/27 22:18:25 dobey Exp $

%define nam	sawfish-themes
%define ver	0.2
%define ximrev	1

Name:     	sawfish-themes
Version: 	0.2
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://sawfish.themes.org/
Epoch:		1
Source0:	Adept.tar.gz
Source1:	Operational.tar.gz
Source2:	Win31.tar.gz
Source3:	BeOS.tar.gz
Source4:	Platinum.tar.gz
Source5:	glass.tar.gz
Source6:	Eazel-blue.tar.gz
Source7:	RedMonk.tar.gz
Source8:	spiffRUPERT.tar.gz
Patch0:		sawfish-themes-makefile.patch
Summary:	Assorted Sawfish themes
Group:		User Interfaces/Desktops
Requires:	sawfish
Provides:	ximian-sawfish-themes = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
A collection of assorted Sawfish themes from sawfish.themes.org

%files
%defattr(-, root, root)
/usr/share/sawfish/themes


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup -c -q -D -n sawfish-themes
    ;;
all)
%setup -c -q -n sawfish-themes
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%setup -c -n sawfish-themes -q -D -T -a 1
%setup -c -n sawfish-themes -q -D -T -a 2
%setup -c -n sawfish-themes -q -D -T -a 3
%setup -c -n sawfish-themes -q -D -T -a 4
%setup -c -n sawfish-themes -q -D -T -a 5
%setup -c -n sawfish-themes -q -D -T -a 6
%setup -c -n sawfish-themes -q -D -T -a 7
%setup -c -n sawfish-themes -q -D -T -a 8
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    true
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    true
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var compress=true
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon May 6 2002 Ximian, Inc.

- Version: 1:0.2-1.ximian.1
- Summary: New build.
- New automated build.

